#! /bin/bash

# 关闭虚拟缓存
swapoff -a
cp -f /etc/fstab /etc/fstab_bak
cat /etc/fstab_bak | grep -v swap >/etc/fstab

# echo "-----------------------------------------------------------------------"
# RootVolumeSizeBefore=$(df -TH | grep -w "/dev/mapper/centos-root" | awk '{print $3}')
# echo "扩容之前的root目录的容量为：${RootVolumeSizeBefore}"

# echo "y


# " | lvremove /dev/mapper/centos-swap

# freepesize=$(vgdisplay centos | grep 'Free  PE' | awk '{print $5}')

# lvextend  -l+${freepesize} /dev/mapper/centos-root


# ## #自动扩展XFS文件系统到最大的可用大小
# xfs_growfs /dev/mapper/centos-root

# df -TH | grep -w "/dev/mapper/centos-root" | awk '{print $3}'

# echo "-----------------------------------------------------------------------"
# RootVolumeSizeAfter=$(df -TH | grep -w "/dev/mapper/centos-root" | awk '{print $3}')
# echo "扩容之后的root目录的容量为：${RootVolumeSizeAfter}"
# RootVolumeSizeBeforeNum=$(echo $RootVolumeSizeBefore | cut -d "G" -f1)
# RootVolumeSizeAfterNum=$(echo $RootVolumeSizeAfter | cut -d "G" -f1)

# echo "恭喜，您的root目录容量增加了+++++++$(( ${RootVolumeSizeAfterNum}-${RootVolumeSizeBeforeNum} ))GB+++++"

echo ""
echo ""
echo ""
echo "-----------------------------------------------------------------------"

VG_NAME=datavg

echo "n
p



t

8e
w
" | fdisk /dev/sdb
partprobe
vgcreate ${VG_NAME} /dev/sdb1
selfpesize=$(vgdisplay ${VG_NAME} | grep 'Total PE' | awk '{print $3}')
lvcreate -l ${selfpesize} -n lvdata ${VG_NAME}
mkfs.xfs /dev/mapper/${VG_NAME}-lvdata
mkdir -p /data
mkdir -p /var/lib/docker  
selffstab="/dev/mapper/${VG_NAME}-lvdata       /var/lib/docker          xfs    defaults        0 0"
echo "${selffstab}" >> /etc/fstab
mount -a

echo ""
echo ""
echo ""
df -TH
echo "-----------------------------------------------------------------------"
